### Method

# Foundry DirectoryListing await

#### Declaration [src]

    DexFuture*
    foundry_directory_listing_await (
      FoundryDirectoryListing* self
    )

#### Description [src]

Await the completion of the initial directory listing.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.